NetkClassGroup
3
LIBXFCEGUI4 Library

# NetkClassGroup

Class Group

## Synopsis

    #include <libxfcegui4/libxfcegui4.h>

                        NetkClassGroup;
    GType               netk_class_group_get_type           (void);
    NetkClassGroup*     netk_class_group_get                (const char *res_class);
    GList*              netk_class_group_get_windows        (NetkClassGroup *class_group);
    const char*         netk_class_group_get_res_class      (NetkClassGroup *class_group);
    const char*         netk_class_group_get_name           (NetkClassGroup *class_group);
    GdkPixbuf*          netk_class_group_get_icon           (NetkClassGroup *class_group);
    GdkPixbuf*          netk_class_group_get_mini_icon      (NetkClassGroup *class_group);

## Description

A NetkClassGroup represents XXX

## Details

### NetkClassGroup

    typedef struct {
        GObject parent_instance;

        NetkClassGroupPrivate *priv;
    } NetkClassGroup;

### netk_class_group_get_type ()

    GType               netk_class_group_get_type           (void);

Returns :

  the gtype of NetkClassGroup

### netk_class_group_get ()

    NetkClassGroup*     netk_class_group_get                (const char *res_class);

Gets an existing class group based on its resource class name.

`res_class` :

  Name of the sought resource class.

Returns :

  An existing NetkClassGroup, or NULL if there is no groups with the specified `res_class`.

### netk_class_group_get_windows ()

    GList*              netk_class_group_get_windows        (NetkClassGroup *class_group);

Gets the list of windows that are grouped in a `class_group`.

`class_group` :

  A window class group.

Returns :

  A list of windows, or NULL if the group contains no windows. The list should not be freed, as it belongs to the `class_group`.

### netk_class_group_get_res_class ()

    const char*         netk_class_group_get_res_class      (NetkClassGroup *class_group);

Queries the resource class name for a class group.

`class_group` :

  A window class group.

Returns :

  The resource class name of the specified `class_group`, or the empty string if the group has no name. The string should not be freed.

### netk_class_group_get_name ()

    const char*         netk_class_group_get_name           (NetkClassGroup *class_group);

Queries the human-readable name for a class group.

`class_group` :

  A window class group.

Returns :

  Name of the class group.

### netk_class_group_get_icon ()

    GdkPixbuf*          netk_class_group_get_icon           (NetkClassGroup *class_group);

Queries the icon to be used for a class group.

`class_group` :

  A window class group.

Returns :

  The icon to use.

### netk_class_group_get_mini_icon ()

    GdkPixbuf*          netk_class_group_get_mini_icon      (NetkClassGroup *class_group);

Queries the mini-icon to be used for a class group.

`class_group` :

  A window class group.

Returns :

  The mini-icon to use.